I=(S=Uno.Application = function(){
}).prototype = new Uno.Isolate;

I.DesignerInit = function()
{
};

I.DesignerDraw = function(r)
{
};

I.DesignerUpdate = function()
{
};

I.DesignerFixedUpdate = function()
{
};

I.Load = function()
{
};

I.Update = function()
{
};

I.FixedUpdate = function()
{
};

I.Draw = function()
{
};

S.RaiseMouseDown = function(sender, args)
{
    if (Uno.Application.MouseDown != null)
    {
        Uno.Application.MouseDown.Invoke(sender, args);
    }
};

S.RaiseMouseUp = function(sender, args)
{
    if (Uno.Application.MouseUp != null)
    {
        Uno.Application.MouseUp.Invoke(sender, args);
    }
};

S.RaiseMouseMove = function(sender, args)
{
    if (Uno.Application.MouseMove != null)
    {
        Uno.Application.MouseMove.Invoke(sender, args);
    }
};

S.RaiseMouseWheel = function(sender, args)
{
    if (Uno.Application.MouseWheel != null)
    {
        Uno.Application.MouseWheel.Invoke(sender, args);
    }
};

S.RaiseTouchDown = function(sender, args)
{
    if (Uno.Application.TouchDown != null)
    {
        Uno.Application.TouchDown.Invoke(sender, args);
    }
};

S.RaiseTouchUp = function(sender, args)
{
    if (Uno.Application.TouchUp != null)
    {
        Uno.Application.TouchUp.Invoke(sender, args);
    }
};

S.RaiseTouchMove = function(sender, args)
{
    if (Uno.Application.TouchMove != null)
    {
        Uno.Application.TouchMove.Invoke(sender, args);
    }
};

S.WindowResize_add = function(listener)
{
    Uno.Application.WindowResize = Uno.Delegate.Combine(Uno.Application.WindowResize, listener);
};

S.WindowResize_remove = function(listener)
{
    Uno.Application.WindowResize = Uno.Delegate.Remove(Uno.Application.WindowResize, listener);
};

S.MouseDown_add = function(listener)
{
    Uno.Application.MouseDown = Uno.Delegate.Combine(Uno.Application.MouseDown, listener);
};

S.MouseDown_remove = function(listener)
{
    Uno.Application.MouseDown = Uno.Delegate.Remove(Uno.Application.MouseDown, listener);
};

S.MouseUp_add = function(listener)
{
    Uno.Application.MouseUp = Uno.Delegate.Combine(Uno.Application.MouseUp, listener);
};

S.MouseUp_remove = function(listener)
{
    Uno.Application.MouseUp = Uno.Delegate.Remove(Uno.Application.MouseUp, listener);
};

S.MouseMove_add = function(listener)
{
    Uno.Application.MouseMove = Uno.Delegate.Combine(Uno.Application.MouseMove, listener);
};

S.MouseMove_remove = function(listener)
{
    Uno.Application.MouseMove = Uno.Delegate.Remove(Uno.Application.MouseMove, listener);
};

S.MouseWheel_add = function(listener)
{
    Uno.Application.MouseWheel = Uno.Delegate.Combine(Uno.Application.MouseWheel, listener);
};

S.MouseWheel_remove = function(listener)
{
    Uno.Application.MouseWheel = Uno.Delegate.Remove(Uno.Application.MouseWheel, listener);
};

S.TouchDown_add = function(listener)
{
    Uno.Application.TouchDown = Uno.Delegate.Combine(Uno.Application.TouchDown, listener);
};

S.TouchDown_remove = function(listener)
{
    Uno.Application.TouchDown = Uno.Delegate.Remove(Uno.Application.TouchDown, listener);
};

S.TouchUp_add = function(listener)
{
    Uno.Application.TouchUp = Uno.Delegate.Combine(Uno.Application.TouchUp, listener);
};

S.TouchUp_remove = function(listener)
{
    Uno.Application.TouchUp = Uno.Delegate.Remove(Uno.Application.TouchUp, listener);
};

S.TouchMove_add = function(listener)
{
    Uno.Application.TouchMove = Uno.Delegate.Combine(Uno.Application.TouchMove, listener);
};

S.TouchMove_remove = function(listener)
{
    Uno.Application.TouchMove = Uno.Delegate.Remove(Uno.Application.TouchMove, listener);
};

S.KeyDown_add = function(listener)
{
    Uno.Application.KeyDown = Uno.Delegate.Combine(Uno.Application.KeyDown, listener);
};

S.KeyDown_remove = function(listener)
{
    Uno.Application.KeyDown = Uno.Delegate.Remove(Uno.Application.KeyDown, listener);
};

S.KeyUp_add = function(listener)
{
    Uno.Application.KeyUp = Uno.Delegate.Combine(Uno.Application.KeyUp, listener);
};

S.KeyUp_remove = function(listener)
{
    Uno.Application.KeyUp = Uno.Delegate.Remove(Uno.Application.KeyUp, listener);
};

S.WindowClosed_add = function(listener)
{
    Uno.Application.WindowClosed = Uno.Delegate.Combine(Uno.Application.WindowClosed, listener);
};

S.WindowClosed_remove = function(listener)
{
    Uno.Application.WindowClosed = Uno.Delegate.Remove(Uno.Application.WindowClosed, listener);
};

S.WindowClosing_add = function(listener)
{
    Uno.Application.WindowClosing = Uno.Delegate.Combine(Uno.Application.WindowClosing, listener);
};

S.WindowClosing_remove = function(listener)
{
    Uno.Application.WindowClosing = Uno.Delegate.Remove(Uno.Application.WindowClosing, listener);
};

S.LoadingScreen = function(value)
{
    if (value !== undefined)
    {
    }

    else
    {
        return null;
    }
};
